Package ghidra.generic.util.datastruct

# Class RestrictedValueSortedMap.RestrictedValueSortedMapEntryList

java.lang.Object
ghidra.generic.util.datastruct.RestrictedValueSortedMap.RestrictedValueSortedMapEntryList

All Implemented Interfaces:
  `ValueSortedMap.LesserList<Map.Entry<K,V>>`, `ValueSortedMap.ValueSortedMapEntryList<K,V>`, `Iterable<Map.Entry<K,V>>`

Enclosing class:
  `RestrictedValueSortedMap<K,V>`

public class RestrictedValueSortedMap.RestrictedValueSortedMapEntryList extends Object implements ValueSortedMap.ValueSortedMapEntryList<K,V>
A list view suitable for `ValueSortedMap.entrySet()` of `RestrictedValueSortedMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RestrictedValueSortedMapEntryList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(Object o)`
  `Map.Entry<K,V>`
  `get(int index)`
  Get the element at the given index
  `int`
  `indexOf(Object o)`
  Get the index of a given element
  `boolean`
  `isEmpty()`
  `Iterator<Map.Entry<K,V>>`
  `iterator()`
  `ListIterator<Map.Entry<K,V>>`
  `listIterator(int index)`
  `Map.Entry<K,V>`
  `poll()`
  Get and remove the first element
  `boolean`
  `remove(Object o)`
  `int`
  `size()`
  `List<Map.Entry<K,V>>`
  `toList()`
  Copy this to a new list

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface ghidra.generic.util.datastruct.ValueSortedMap.LesserList

  `removeAll`

- ## Constructor Details

  - ### RestrictedValueSortedMapEntryList

    public RestrictedValueSortedMapEntryList()

- ## Method Details

  - ### toList

    public List<Map.Entry<K,V>> toList()
    Description copied from interface: `ValueSortedMap.LesserList`
    Copy this to a new list
    Specified by:
      `toList` in interface `ValueSortedMap.LesserList<Map.Entry<K,V>>`
    Returns:
      the list

  - ### size

    public int size()
    Specified by:
      `size` in interface `ValueSortedMap.LesserList<Map.Entry<K,V>>`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `ValueSortedMap.LesserList<Map.Entry<K,V>>`

  - ### contains

    public boolean contains(Object o)
    Specified by:
      `contains` in interface `ValueSortedMap.LesserList<Map.Entry<K,V>>`

  - ### iterator

    public Iterator<Map.Entry<K,V>> iterator()
    Specified by:
      `iterator` in interface `Iterable<Map.Entry<K,V>>`

  - ### get

    public Map.Entry<K,V> get(int index)
    Description copied from interface: `ValueSortedMap.LesserList`
    Get the element at the given index
    Specified by:
      `get` in interface `ValueSortedMap.LesserList<Map.Entry<K,V>>`
    Parameters:
      `index` - the index
    Returns:
      the element

  - ### indexOf

    public int indexOf(Object o)
    Description copied from interface: `ValueSortedMap.LesserList`
    Get the index of a given element

    Returns the index of the element, or -1 if not found

    Specified by:
      `indexOf` in interface `ValueSortedMap.LesserList<Map.Entry<K,V>>`
    Parameters:
      `o` - the object
    Returns:
      the index or -1

  - ### listIterator

    public ListIterator<Map.Entry<K,V>> listIterator(int index)
    Specified by:
      `listIterator` in interface `ValueSortedMap.LesserList<Map.Entry<K,V>>`

  - ### poll

    public Map.Entry<K,V> poll()
    Description copied from interface: `ValueSortedMap.LesserList`
    Get and remove the first element
    Specified by:
      `poll` in interface `ValueSortedMap.LesserList<Map.Entry<K,V>>`
    Returns:
      the first element, or null if empty

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `ValueSortedMap.LesserList<Map.Entry<K,V>>`